package com.xhly.manageapp.broadcastreceiver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;

import com.xhly.corelib.Const;
import com.xhly.corelib.eventbus.UIEvent;

class NetConnectReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        ConnectivityManager connMgr = (ConnectivityManager) context.getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo networkInfo = connMgr.getActiveNetworkInfo();

        if (networkInfo != null && networkInfo.isConnected()) {
            // 网络连接已建立
            new UIEvent(Const.STARTSOCKET).post();
        } else {
            // 网络连接断开

        }
    }
/*  override fun onReceive(context: Context?, intent: Intent?) {
    Log.e("qingshan", "网络状态改变")
    context?.getSystemService(ConnectivityManager::class.java)?.allNetworkInfo?.filter {
      it.typeName == "MOBILE" || it.typeName == "WIFI"
    }?.forEach {networkInfo ->
      Log.e("qingshan", "${networkInfo?.typeName}, isConnect= ${networkInfo?.isConnected}")
    }
  }*/
}